Upstream information

CVE-2019-13224 at MITRE

Description

A use-after-free in onig_new_deluxe() in regext.c in Oniguruma 6.9.2 allows attackers to potentially cause information disclosure, denial of service, or possibly code execution by providing a crafted regular expression. The attacker provides a pair of a regex pattern and a string, with a multi-byte encoding that gets handled by onig_new_deluxe(). Oniguruma issues often affect Ruby, as well as common optional libraries for PHP and Rust.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 6.6
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High High
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1142847 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • libonig5 >= 6.9.7.1-1.2
  • oniguruma-devel >= 6.9.7.1-1.2
Patchnames:
openSUSE Tumbleweed GA libonig5-6.9.7.1-1.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.5 oniguruma Affected
SUSE Enterprise Storage 7 oniguruma Affected
SUSE Linux Enterprise Desktop 12 SP3 oniguruma Not affected
SUSE Linux Enterprise Desktop 12 SP4 oniguruma Not affected
SUSE Linux Enterprise Desktop 15 SP1 oniguruma Affected
SUSE Linux Enterprise Desktop 15 SP3 oniguruma Affected
SUSE Linux Enterprise Desktop 15 SP4 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 12 SP4 oniguruma Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 oniguruma Affected
SUSE Linux Enterprise Micro 5.1 oniguruma Affected
SUSE Linux Enterprise Micro 5.2 oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 oniguruma Affected
SUSE Linux Enterprise Real Time 15 SP2 oniguruma Affected
SUSE Linux Enterprise Server 12 LTSS oniguruma Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS oniguruma Not affected
SUSE Linux Enterprise Server 12 SP2 BCL oniguruma Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS oniguruma Not affected
SUSE Linux Enterprise Server 12 SP3 oniguruma Not affected
SUSE Linux Enterprise Server 12 SP3 BCL oniguruma Not affected
SUSE Linux Enterprise Server 12 SP4 oniguruma Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS oniguruma Not affected
SUSE Linux Enterprise Server 15 SP1 oniguruma Affected
SUSE Linux Enterprise Server 15 SP2 LTSS oniguruma Affected
SUSE Linux Enterprise Server 15 SP3 oniguruma Affected
SUSE Linux Enterprise Server 15 SP4 oniguruma Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 oniguruma Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 12 oniguruma Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 oniguruma Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 oniguruma Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 oniguruma Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 oniguruma Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 oniguruma Not affected
SUSE Linux Enterprise Storage 6 oniguruma Affected
SUSE Linux Enterprise Storage 7.1 oniguruma Affected
SUSE Manager Proxy 4.0 oniguruma Affected
SUSE Manager Proxy 4.1 oniguruma Affected
SUSE Manager Proxy 4.2 oniguruma Affected
SUSE Manager Proxy 4.3 oniguruma Affected
SUSE Manager Retail Branch Server 4.0 oniguruma Affected
SUSE Manager Retail Branch Server 4.1 oniguruma Affected
SUSE Manager Retail Branch Server 4.2 oniguruma Affected
SUSE Manager Retail Branch Server 4.3 oniguruma Affected
SUSE Manager Server 4.0 oniguruma Affected
SUSE Manager Server 4.1 oniguruma Affected
SUSE Manager Server 4.2 oniguruma Affected
SUSE Manager Server 4.3 oniguruma Affected